DEV_ADD_OFFLOAD(9)

NAME
dev_add_offload - register offload handlers

SYNOPSIS

void dev_add_offload(struct packet_offload * po);

ARGUMENTS

po
    protocol offload declaration

DESCRIPTION

Add protocol offload handlers to the networking stack. The passed proto_offload is linked into kernel lists and may not be freed until it has been removed from the kernel lists.

This call does not sleep therefore it can not guarantee all CPU's that are in middle of receiving packets will see the new offload handlers (until the next received packet).

COPYRIGHT